# `babel-plugin-styled-components`

This plugin adds support for server-side rendering, for minification of styles and gives you a nicer debugging experience when using `styled-components`.

## Quick start

Install the plugin first:

```
npm install --save-dev babel-plugin-styled-components
```

Then add it to your babel configuration:

```JSON
{
  "plugins": ["babel-plugin-styled-components"]
}
```

## [Documentation](https://www.styled-components.com/docs/tooling#babel-plugin)

**The documentation for this plugin lives on [the styled-components website](https://www.styled-components.com/docs/tooling#babel-plugin)!**

- [Usage](https://www.styled-components.com/docs/tooling#usage)
- [Server-side rendering](https://www.styled-components.com/docs/tooling#serverside-rendering)
- [Better debugging](https://www.styled-components.com/docs/tooling#better-debugging)
- [Minification](https://www.styled-components.com/docs/tooling#minification)
- [Preprocessing](https://www.styled-components.com/docs/tooling#preprocessing)

## License

Licensed under the MIT License, Copyright © 2016 Vladimir Danchenkov and Maximilian Stoiber.

See [LICENSE.md](./LICENSE.md) for more information.
